Repository 32bit  Forum
Repository 64bit  Wiki

Aggiornare slackware alla versione 14

Se avete problemi con l'installazione e la configurazione di Slackware64 postate qui. Non usate questo forum per argomenti che trattano la Slackware32 o generali... per quelli usate rispettivamente il forum Slackware e Gnu/Linux in genere.

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Slackware64 usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Per evitare confusione prego inserire in questo forum solo topic che riguardano appunto Slackware64, se l'argomento è Slackware32 o generale usate rispettivamente il forum Slackware o Gnu/Linux in genere.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

Aggiornare slackware alla versione 14

Messaggioda boh » dom set 30, 2012 19:30

Ciao a tutti!
Essendo finalmente uscita la mitica versione 14, vorrei aggiornare i miei due pc. A tal proposito avrei da chiarire alcuni dubbi.

Sul mio netbook ho installato slackware 13.37 a 32bit senza KDE e KDEI. Per aggiornare è sufficente seguire i passaggi dell'UPGRADE.TXT escludendo le due directory sopra dette oppure c'è qualche pacchetto che potrebbe darmi problemi? :-k

D'altro canto sul mio fisso ho slackware 13.37 a 64bit full. La cosa che mi frena è che avevo aggiornato KDE alla versione 4.8.2 con i pacchetti di 414N. A questo punto come devo comportarmi per l'aggiornamento? Uso slackpkg per pulire questi pacchetti oppure posso fare direttamente l'aggiornamento sovrascrivendo il tutto? :-k

Questo è quanto... Spero di essere stato chiaro :D
Un mega grazie a chi mi aiuterà! ;)
"Be yourself. Everyone else is already taken." ~ Oscar Wilde
Avatar utente
boh
Linux 2.6
Linux 2.6
 
Messaggi: 968
Iscritto il: gio set 15, 2005 23:00
Località: Milano
Slackware: 14.1 (x64)
Kernel: 3.14.1
Desktop: KDE 4.13.3

Re: Aggiornare slackware alla versione 14

Messaggioda Vito » dom set 30, 2012 20:56

Il file UPGRADE.TXT descrive proprio come comportarsi :
#!/bin/sh
for dir in a ap d e f k l n t tcl x xap xfce y ; do
( cd $dir ; upgradepkg --install-new *.t?z )
done



Quindi ,se non hai ,e non vuoi, KDE, puoi escludere semplicemente,come tu hai suggerito, i pacchetti della serie "kde".


Se hai una versione diversa di KDE puoi aggiornarla tranquillamente, e poi successivamente rimuovere i pacchetti "non canonici", ammesso che ce ne siano.


Per quanto riguarda la rimozione dei pacchetti "non canonici" utilizza slackpkg direttamente dopo aver aggiornato Slackware.
Codice: Seleziona tutto
slackpkg clean-system


Se non sono stato convincente puoi provare a dare uno sguardo qui: http://www.slacky.eu/slacky/Come_aggior ... alla_13.37
(la guida è,come vedi, per la versione precedente; ma il procedimento logico dovrebbe essere sempre lo stesso)
"Stat rosa pristina nomina, nomina nuda tenemus." [ Umberto Eco - Il nome della rosa]

"Faber est suae quisque fortunae ." [ Appio Claudio Cieco]
Avatar utente
Vito
Staff
Staff
 
Messaggi: 4146
Iscritto il: mar dic 05, 2006 17:28
Località: Augsburg (DE)
Nome Cognome: Vito
Distribuzione: Linux Mint 17

Re: Aggiornare slackware alla versione 14

Messaggioda boh » dom set 30, 2012 21:21

Grazie :)
Ma quindi se dalla versione 4.8.2 (che ho io) alla 4.8.5 (in slack 14) ci fosse stato un ulteriore split-up di altri pacchetti, aggiornando non dovrei avere problemi?
"Be yourself. Everyone else is already taken." ~ Oscar Wilde
Avatar utente
boh
Linux 2.6
Linux 2.6
 
Messaggi: 968
Iscritto il: gio set 15, 2005 23:00
Località: Milano
Slackware: 14.1 (x64)
Kernel: 3.14.1
Desktop: KDE 4.13.3

Re: Aggiornare slackware alla versione 14

Messaggioda Vito » dom set 30, 2012 21:51

Credo proprio di no, perchè se tu aggiorni ( ed installi quello che dewvi aggiornare) e poi rimuovi i pacchetti obsoleti, non dovresti per niente avere problemi!
Se ci fai caso, anche nella procedura "classica" di aggiornamento, DOPO aver aggiornato bisogna rimuovere i pacchetti obsoleti:

You may spot some old, obsolete, or discontinued packages. If so,
you can remove these using 'removepkg'. This command will get rid of
the packages which became obsolete since Slackware 13.37:

removepkg gdisk hal hal-info iwlwifi-100-ucode iwlwifi-1000-ucode \
iwlwifi-3945-ucode iwlwifi-4965-ucode iwlwifi-5000-ucode \
iwlwifi-5150-ucode iwlwifi-6000-ucode iwlwifi-6xxx-ucode \
jre kdeaccessibility kdebase kdebase-runtime kdebase-workspace \
kdebindings kdeedu kdegraphics kdeutils koffice konq-plugins \
kopete-cryptography module-init-tools ntfsprogs polkit-kde-1 \
radeon_ucode raptor rt2860-firmware rt2870-firmware rt61-firmware \
rt71w-firmware scripts wv2 xaw3d xf86-video-radeonhd \
xf86-video-sisusb xf86-video-tseng xf86-video-xgi xfce
"Stat rosa pristina nomina, nomina nuda tenemus." [ Umberto Eco - Il nome della rosa]

"Faber est suae quisque fortunae ." [ Appio Claudio Cieco]
Avatar utente
Vito
Staff
Staff
 
Messaggi: 4146
Iscritto il: mar dic 05, 2006 17:28
Località: Augsburg (DE)
Nome Cognome: Vito
Distribuzione: Linux Mint 17

Re: Aggiornare slackware alla versione 14

Messaggioda boh » sab ott 13, 2012 19:00

Eccomi qui!
Oggi ho finalmente aggiornato entrambi i sistemi e vanno che è una meraviglia! :D

C'è però una cosa poco chiara: in pratica, seguendo il file UPGRADE.TXT, per aggiornare i pacchetti ho usato lo standard
Codice: Seleziona tutto
upgradepkg --install-new dirPacchetti/*/*.t?z
Con questo procedimento ho visto che alcuni pacchetti venivano saltati perchè già installati. Ci sono dei problemi di compatibilità riguardo al fatto che quelli rimasti sono stati compilati su un'altra versione del sistema? (o di gcc o qualunque altro compilatore sia stato usato)
"Be yourself. Everyone else is already taken." ~ Oscar Wilde
Avatar utente
boh
Linux 2.6
Linux 2.6
 
Messaggi: 968
Iscritto il: gio set 15, 2005 23:00
Località: Milano
Slackware: 14.1 (x64)
Kernel: 3.14.1
Desktop: KDE 4.13.3

Re: Aggiornare slackware alla versione 14

Messaggioda Vito » sab ott 13, 2012 19:05

il build number di questi pacchetti è lo stesso?
"Stat rosa pristina nomina, nomina nuda tenemus." [ Umberto Eco - Il nome della rosa]

"Faber est suae quisque fortunae ." [ Appio Claudio Cieco]
Avatar utente
Vito
Staff
Staff
 
Messaggi: 4146
Iscritto il: mar dic 05, 2006 17:28
Località: Augsburg (DE)
Nome Cognome: Vito
Distribuzione: Linux Mint 17

Re: Aggiornare slackware alla versione 14

Messaggioda boh » sab ott 13, 2012 19:08

Onestamente non ricordo, ma se li ha tralasciati penso di sì.
"Be yourself. Everyone else is already taken." ~ Oscar Wilde
Avatar utente
boh
Linux 2.6
Linux 2.6
 
Messaggi: 968
Iscritto il: gio set 15, 2005 23:00
Località: Milano
Slackware: 14.1 (x64)
Kernel: 3.14.1
Desktop: KDE 4.13.3

Re: Aggiornare slackware alla versione 14

Messaggioda Vito » sab ott 13, 2012 19:40

Tranquillo allora, il procedimento ufficiale non commette sbagli!
"Stat rosa pristina nomina, nomina nuda tenemus." [ Umberto Eco - Il nome della rosa]

"Faber est suae quisque fortunae ." [ Appio Claudio Cieco]
Avatar utente
Vito
Staff
Staff
 
Messaggi: 4146
Iscritto il: mar dic 05, 2006 17:28
Località: Augsburg (DE)
Nome Cognome: Vito
Distribuzione: Linux Mint 17

Re: Aggiornare slackware alla versione 14

Messaggioda boh » sab ott 13, 2012 20:41

Ok, grazie :)
Un'altra cosa: k3b mi richiede come dipendeza libmusicbrainz e non capisco come facciano ad esserci dipendenze non installate per un software presente nella distro :-k
"Be yourself. Everyone else is already taken." ~ Oscar Wilde
Avatar utente
boh
Linux 2.6
Linux 2.6
 
Messaggi: 968
Iscritto il: gio set 15, 2005 23:00
Località: Milano
Slackware: 14.1 (x64)
Kernel: 3.14.1
Desktop: KDE 4.13.3

Re: Aggiornare slackware alla versione 14

Messaggioda Vito » sab ott 13, 2012 22:42

hai seguito tutti i passi dell'aggiornamento?
È una cosa molto strana questa...
Che pacchetto di k3b hai installato?

Codice: Seleziona tutto
ls /var/log/packages | grep k3b



P.S. Ti sei ricordati di rimuovere i pacchetti "non canonici" di KDE con
Codice: Seleziona tutto
slackpkg clean-system
?
"Stat rosa pristina nomina, nomina nuda tenemus." [ Umberto Eco - Il nome della rosa]

"Faber est suae quisque fortunae ." [ Appio Claudio Cieco]
Avatar utente
Vito
Staff
Staff
 
Messaggi: 4146
Iscritto il: mar dic 05, 2006 17:28
Località: Augsburg (DE)
Nome Cognome: Vito
Distribuzione: Linux Mint 17

Re: Aggiornare slackware alla versione 14

Messaggioda boh » sab ott 13, 2012 23:18

Il pacchetto è questo:
alby@darkstar:~$ ls /var/log/packages/ | grep k3b
k3b-2.0.2_20120226.git-x86_64-1

I passi dell'aggiornamento li ho seguiti tutti e il clean system mi restituisce i pacchetti che avevo installato esternamente, ma vecchi di KDE non ce ne sono.
C'è da dire che avevo installato libmusicbrainz e che prima di provare k3b l'ho eliminato (proprio in seguito a quel comando); tuttavia questa sequenza di operazioni non dovrebbe aver "creato" una dipendenza (credo) visto che il pacchetto non è stato configurato e compilato su questo sistema, o sbaglio? :-k
"Be yourself. Everyone else is already taken." ~ Oscar Wilde
Avatar utente
boh
Linux 2.6
Linux 2.6
 
Messaggi: 968
Iscritto il: gio set 15, 2005 23:00
Località: Milano
Slackware: 14.1 (x64)
Kernel: 3.14.1
Desktop: KDE 4.13.3

Re: Aggiornare slackware alla versione 14

Messaggioda Vito » dom ott 14, 2012 9:07

No, infatti. Puoi incollarmi l'output che ti restituisce quando lanci k3b da terminale?
"Stat rosa pristina nomina, nomina nuda tenemus." [ Umberto Eco - Il nome della rosa]

"Faber est suae quisque fortunae ." [ Appio Claudio Cieco]
Avatar utente
Vito
Staff
Staff
 
Messaggi: 4146
Iscritto il: mar dic 05, 2006 17:28
Località: Augsburg (DE)
Nome Cognome: Vito
Distribuzione: Linux Mint 17

Re: Aggiornare slackware alla versione 14

Messaggioda boh » dom ott 14, 2012 20:35

Scusa il ritardo!
Ecco qui:
Codice: Seleziona tutto
alby@darkstar:~$ k3b
k3b: error while loading shared libraries: libmusicbrainz.so.4: cannot open shared object file: No such file or directory
"Be yourself. Everyone else is already taken." ~ Oscar Wilde
Avatar utente
boh
Linux 2.6
Linux 2.6
 
Messaggi: 968
Iscritto il: gio set 15, 2005 23:00
Località: Milano
Slackware: 14.1 (x64)
Kernel: 3.14.1
Desktop: KDE 4.13.3

Re: Aggiornare slackware alla versione 14

Messaggioda Vito » lun ott 15, 2012 13:26

per curiosità prova a eliminare ed a reinstallare il pacchetto k3b.

Dopo postami il risultato di
Codice: Seleziona tutto
 ldd /usr/bin/k3b


Questo comando dovrebbe restituirti tutte le dipendenze del binario k3b ( e quindi del pacchetto).

dal man:
NAME
ldd - print shared library dependencies


chiaramente ti rimando allo stesso man per maggiori informazioni. :)
"Stat rosa pristina nomina, nomina nuda tenemus." [ Umberto Eco - Il nome della rosa]

"Faber est suae quisque fortunae ." [ Appio Claudio Cieco]
Avatar utente
Vito
Staff
Staff
 
Messaggi: 4146
Iscritto il: mar dic 05, 2006 17:28
Località: Augsburg (DE)
Nome Cognome: Vito
Distribuzione: Linux Mint 17

Re: Aggiornare slackware alla versione 14

Messaggioda boh » lun ott 15, 2012 19:19

Pacchetto sostituito e questo è l'output di ldd:
Codice: Seleziona tutto
linux-vdso.so.1 (0x00007fff63d11000)
        libk3bdevice.so.6 => /usr/lib64/libk3bdevice.so.6 (0x00007f29062f7000)
        libk3blib.so.6 => /usr/lib64/libk3blib.so.6 (0x00007f2905f37000)
        libkcddb.so.4 => /usr/lib64/libkcddb.so.4 (0x00007f2905cfb000)
        libkfile.so.4 => /usr/lib64/libkfile.so.4 (0x00007f2905a50000)
        libkio.so.5 => /usr/lib64/libkio.so.5 (0x00007f29055a0000)
        libkparts.so.4 => /usr/lib64/libkparts.so.4 (0x00007f290534c000)
        libknotifyconfig.so.4 => /usr/lib64/libknotifyconfig.so.4 (0x00007f290513a000)
        libkutils.so.4 => /usr/lib64/libkutils.so.4 (0x00007f2904f37000)
        libkde3support.so.4 => /usr/lib64/libkde3support.so.4 (0x00007f2904c39000)
        libsolid.so.4 => /usr/lib64/libsolid.so.4 (0x00007f290493c000)
        libQtWebKit.so.4 => /usr/lib64/qt/lib/libQtWebKit.so.4 (0x00007f2902e02000)
        libSM.so.6 => /usr/lib64/libSM.so.6 (0x00007f2902bfb000)
        libICE.so.6 => /usr/lib64/libICE.so.6 (0x00007f29029e0000)
        libX11.so.6 => /usr/lib64/libX11.so.6 (0x00007f29026a7000)
        libXext.so.6 => /usr/lib64/libXext.so.6 (0x00007f2902496000)
        libXft.so.2 => /usr/lib64/libXft.so.2 (0x00007f2902281000)
        libXau.so.6 => /usr/lib64/libXau.so.6 (0x00007f290207d000)
        libXdmcp.so.6 => /usr/lib64/libXdmcp.so.6 (0x00007f2901e78000)
        libXpm.so.4 => /usr/lib64/libXpm.so.4 (0x00007f2901c67000)
        libkemoticons.so.4 => /usr/lib64/libkemoticons.so.4 (0x00007f2901a56000)
        libkidletime.so.4 => /usr/lib64/libkidletime.so.4 (0x00007f2901847000)
        libkcmutils.so.4 => /usr/lib64/libkcmutils.so.4 (0x00007f2901607000)
        libkprintutils.so.4 => /usr/lib64/libkprintutils.so.4 (0x00007f29013ff000)
        libQt3Support.so.4 => /usr/lib64/qt/lib/libQt3Support.so.4 (0x00007f2900f11000)
        libQtNetwork.so.4 => /usr/lib64/qt/lib/libQtNetwork.so.4 (0x00007f2900bce000)
        libQtXml.so.4 => /usr/lib64/qt/lib/libQtXml.so.4 (0x00007f290098b000)
        libnepomukutils.so.4 => /usr/lib64/libnepomukutils.so.4 (0x00007f2900750000)
        libnepomuk.so.4 => /usr/lib64/libnepomuk.so.4 (0x00007f290047b000)
        libkdeui.so.5 => /usr/lib64/libkdeui.so.5 (0x00007f28ffe0a000)
        libQtSvg.so.4 => /usr/lib64/qt/lib/libQtSvg.so.4 (0x00007f28ffbb2000)
        libsoprano.so.4 => /usr/lib64/libsoprano.so.4 (0x00007f28ff8c4000)
        libkdecore.so.5 => /usr/lib64/libkdecore.so.5 (0x00007f28ff3f3000)
        libQtCore.so.4 => /usr/lib64/qt/lib/libQtCore.so.4 (0x00007f28fef12000)
        libpthread.so.0 => /lib64/libpthread.so.0 (0x00007f28fecf6000)
        libQtDBus.so.4 => /usr/lib64/qt/lib/libQtDBus.so.4 (0x00007f28fea75000)
        libQtGui.so.4 => /usr/lib64/qt/lib/libQtGui.so.4 (0x00007f28fdd8d000)
        libstdc++.so.6 => /usr/lib64/libstdc++.so.6 (0x00007f28fda8c000)
        libm.so.6 => /lib64/libm.so.6 (0x00007f28fd790000)
        libgcc_s.so.1 => /usr/lib64/libgcc_s.so.1 (0x00007f28fd57b000)
        libc.so.6 => /lib64/libc.so.6 (0x00007f28fd1bb000)
        libkpty.so.4 => /usr/lib64/libkpty.so.4 (0x00007f28fcfb1000)
        libsamplerate.so.0 => /usr/lib64/libsamplerate.so.0 (0x00007f28fcc46000)
        libdl.so.2 => /lib64/libdl.so.2 (0x00007f28fca42000)
        libdvdread.so.4 => /usr/lib64/libdvdread.so.4 (0x00007f28fc825000)
        libz.so.1 => /lib64/libz.so.1 (0x00007f28fc610000)
        libXrender.so.1 => /usr/lib64/libXrender.so.1 (0x00007f28fc406000)
        libnepomukquery.so.4 => /usr/lib64/libnepomukquery.so.4 (0x00007f28fc1be000)
        libstreamanalyzer.so.0 => /usr/lib64/libstreamanalyzer.so.0 (0x00007f28fbf3b000)
        libstreams.so.0 => /usr/lib64/libstreams.so.0 (0x00007f28fbd02000)
        libacl.so.1 => /lib64/libacl.so.1 (0x00007f28fbafa000)
        libattr.so.1 => /lib64/libattr.so.1 (0x00007f28fb8f5000)
        libphonon.so.4 => /usr/lib64/libphonon.so.4 (0x00007f28fb692000)
        libHUpnp.so.1 => /usr/lib64/libHUpnp.so.1 (0x00007f28fb37a000)
        libudev.so.0 => /lib64/libudev.so.0 (0x00007f28fb16d000)
        libfontconfig.so.1 => /usr/lib64/libfontconfig.so.1 (0x00007f28faf36000)
        libfreetype.so.6 => /usr/lib64/libfreetype.so.6 (0x00007f28facaa000)
        libsqlite3.so.0 => /usr/lib64/libsqlite3.so.0 (0x00007f28faa01000)
        libgio-2.0.so.0 => /usr/lib64/libgio-2.0.so.0 (0x00007f28fa6b4000)
        libgstapp-0.10.so.0 => /usr/lib64/libgstapp-0.10.so.0 (0x00007f28fa4aa000)
        libgstinterfaces-0.10.so.0 => /usr/lib64/libgstinterfaces-0.10.so.0 (0x00007f28fa299000)
        libgstpbutils-0.10.so.0 => /usr/lib64/libgstpbutils-0.10.so.0 (0x00007f28fa079000)
        libgstvideo-0.10.so.0 => /usr/lib64/libgstvideo-0.10.so.0 (0x00007f28f9e66000)
        libgstbase-0.10.so.0 => /usr/lib64/libgstbase-0.10.so.0 (0x00007f28f9c31000)
        libgstreamer-0.10.so.0 => /usr/lib64/libgstreamer-0.10.so.0 (0x00007f28f997a000)
        libgobject-2.0.so.0 => /usr/lib64/libgobject-2.0.so.0 (0x00007f28f972d000)
        libgmodule-2.0.so.0 => /usr/lib64/libgmodule-2.0.so.0 (0x00007f28f952a000)
        libgthread-2.0.so.0 => /usr/lib64/libgthread-2.0.so.0 (0x00007f28f9328000)
        librt.so.1 => /lib64/librt.so.1 (0x00007f28f9120000)
        libxml2.so.2 => /usr/lib64/libxml2.so.2 (0x00007f28f8dc6000)
        libglib-2.0.so.0 => /usr/lib64/libglib-2.0.so.0 (0x00007f28f8aa7000)
        libuuid.so.1 => /lib64/libuuid.so.1 (0x00007f28f88a4000)
        libxcb.so.1 => /usr/lib64/libxcb.so.1 (0x00007f28f8685000)
        libexpat.so.1 => /usr/lib64/libexpat.so.1 (0x00007f28f845c000)
        libbz2.so.1 => /lib64/libbz2.so.1 (0x00007f28f824c000)
        libXss.so.1 => /usr/lib64/libXss.so.1 (0x00007f28f8048000)
        libQtSql.so.4 => /usr/lib64/qt/lib/libQtSql.so.4 (0x00007f28f7e07000)
        libsopranoclient.so.1 => /usr/lib64/libsopranoclient.so.1 (0x00007f28f7bb8000)
        libqca.so.2 => /usr/lib64/libqca.so.2 (0x00007f28f78a5000)
        libattica.so.0.4 => /usr/lib64/libattica.so.0.4 (0x00007f28f75c8000)
        libdbusmenu-qt.so.2 => /usr/lib64/libdbusmenu-qt.so.2 (0x00007f28f7395000)
        libXtst.so.6 => /usr/lib64/libXtst.so.6 (0x00007f28f7190000)
        libXcursor.so.1 => /usr/lib64/libXcursor.so.1 (0x00007f28f6f85000)
        libXfixes.so.3 => /usr/lib64/libXfixes.so.3 (0x00007f28f6d7f000)
        liblzma.so.5 => /lib64/liblzma.so.5 (0x00007f28f6b5c000)
        libresolv.so.2 => /lib64/libresolv.so.2 (0x00007f28f6942000)
        libfam.so.0 => /usr/lib64/libfam.so.0 (0x00007f28f673a000)
        /lib64/ld-linux-x86-64.so.2 (0x00007f290655d000)
        libpng14.so.14 => /usr/lib64/libpng14.so.14 (0x00007f28f6514000)
        libutil.so.1 => /lib64/libutil.so.1 (0x00007f28f6311000)
        libutempter.so.0 => /usr/lib64/libutempter.so.0 (0x00007f28f610e000)
        libQtSolutions_SOAP-2.7.so.1 => /usr/lib64/libQtSolutions_SOAP-2.7.so.1 (0x00007f28f5ee9000)
        libffi.so.6 => /usr/lib64/libffi.so.6 (0x00007f28f5ce0000)
        libXi.so.6 => /usr/lib64/libXi.so.6 (0x00007f28f5ad1000)


Se non sbaglio, dall'output sembra che tutte le librerie ci siano e in effetti adesso funziona :-k
Come si spiega l'arcano?
"Be yourself. Everyone else is already taken." ~ Oscar Wilde
Avatar utente
boh
Linux 2.6
Linux 2.6
 
Messaggi: 968
Iscritto il: gio set 15, 2005 23:00
Località: Milano
Slackware: 14.1 (x64)
Kernel: 3.14.1
Desktop: KDE 4.13.3

Prossimo

Torna a Slackware64

Chi c’è in linea

Visitano il forum: Baidu [Spider] e 2 ospiti